package com.fzm.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.common.entity.Nft;
import com.fzm.common.entity.vo.CollectionNftVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/6/30 15:54
 */
@Mapper
public interface NftMapper extends BaseMapper<Nft> {

    /**
     * 查询nft列表
     * @param pageNum
     * @param pageSize
     * @param categoryId
     * @return
     */
    List<Nft> list(@Param("pageNum") Integer pageNum, @Param("pageSize") Integer pageSize, @Param("categoryId") Integer categoryId);

    List<CollectionNftVo> getCollectionList(@Param("list") List<Integer> list);
}
